.tooltip {
	position: relative;
	cursor: pointer;
	padding: 0 5px;
	font-size: 0.9em;
	color: #17ad66;
}

.tooltip-description {
	display: block;
	position: absolute;
	width: 250px;
	top: 100%;
	left: 50%;
	transform: translateX(-50%);
	margin-top: 8px;
	padding: 15px;
	border-radius: 10px;
	background-color: #666;
	font-size: 16px;
	font-weight: normal;
	line-height: 2;
	text-align: center;
	color: #fff;
	visibility: hidden;
	opacity: 0;
	z-index: 1000;
	transition: 0.5s all;
}

.tooltip:hover .tooltip-description {
	top: 100%;
	visibility: visible;
	opacity: 1;
}

.tooltip-information {
	display: flex;
	align-items: center;
	justify-content: center;
	line-height: 1;
	font-size: 12px;
	font-weight: bold;
	padding: 2px;
	border: 2px solid #427995;
	border-radius: 10px;
	width: 20px;
	height: 20px;
}

.tooltip-information img {
	height: 22px;
	margin-right: 5px;
	display: inline-block;
	background-color: white;
	padding: 2px;
}

.bus-fromto-bt-set-wrapper .tooltip-information {
	margin-left: auto;
	margin-right: 10px;
}

.bus-fromto-bt-set-wrapper .tooltip-description {
	display: flex;
	flex-direction: column;
	z-index: 100;
	font-size: 16px;
	width: 500px;
}

.bus-fromto-bt-set-wrapper .tooltip-description span {
	display: flex;
	align-items: center;
	text-align: left;
}

.functional-icon .tooltip-information {
	display: inline-flex;
	margin-left: 20px;
	z-index: 101;
}

.functional-icon .tooltip-information .tooltip-description {
	display: flex;
	flex-direction: column;
	width: 300px;
	line-height: 2;
	margin-bottom: 20px;
}

.result-priority-route .tooltip-information {
	margin-left: auto;
	margin-top: auto;
	margin-bottom: auto;
}

.functional-icon .tooltip-information .tooltip-description span {
	display: flex;
	align-items: center;
	justify-content: left;
	margin-right: auto;
	margin-left: 15px;
	margin-top: 10px;
}

.tooltip-information {
	display: inline-flex;
	margin-left: 20px;
	z-index: 101;
}

.tooltip-information .tooltip-description {
	display: flex;
	flex-direction: column;
	width: 300px;
	line-height: 2;
	margin-bottom: 20px;
}
.tooltip-information .tooltip-description span {
	display: flex;
	align-items: center;
	justify-content: left;
	margin-right: auto;
	margin-left: 15px;
	margin-top: 10px;
}

@media (max-width: 960px) {
	.tooltip-information .tooltip-description {
		width: 540px;
		display: flex;
		flex-direction: column;
	}

	.tooltip-information .tooltip-description span {
		display: flex;
		align-items: center;
		justify-content: left;
		margin-right: auto;
		margin-left: 30px;
		margin-top: 10px;
	}

	.functional-icon .tooltip-information .tooltip-description {
		width: 540px;
		display: flex;
		flex-direction: column;
	}

	.functional-icon .tooltip-information .tooltip-description span {
		display: flex;
		align-items: center;
		justify-content: left;
		margin-right: auto;
		margin-left: 30px;
		margin-top: 10px;
	}

	.tooltip-information img {
		height: 45px;
		margin-right: 10px;
		display: inline-block;
		background-color: white;
		padding: 5px;
	}

	.bus-fromto-bt-set-wrapper .tooltip-description {
		display: flex;
		flex-direction: column;
		z-index: 100;
		font-size: 28px;
		line-height: 1.5;
	}

	.bus-fromto-bt-set-wrapper .tooltip-description span {
		margin: 10px 0;
		width: 90%;
		text-align: left;
	}

	.tooltip-information {
		font-size: 18px;
		padding: 6px;
		border-radius: 15px;
		width: 30px;
		height: 30px;
	}

	.tooltip-description {
		line-height: 1.8;
		font-size: 26px;
		width: 540px;
		min-height: 300px;
		position: fixed;
		display: flex;
		justify-content: center;
		align-items: center;
		top: 5%;
		left: 50%;
		transform: translateX(-50%);
	}

	.tooltip:hover .tooltip-description {
		top: 5%;
		visibility: visible;
		opacity: 1;
	}
}
